DevCycle

1.8.0

DevCycle iOS Client SDK
DevCycleHQ/ios-client-sdk

What's New

2023-01-18T22:31:02Z
  • Adds support for macOS 10.13 and higher

DevCycle iOS / macOS Client SDK

CocoaPods compatible Carthage compatible SwiftPM compatible

The DevCycle iOS / macOS Client SDK. This SDK uses our Client SDK APIs to perform all user segmentation and bucketing for the SDK, providing fast response times using our globally distributed edge workers all around the world.

Requirements

This version of the DevCycle iOS / macOS Client SDK supports iOS 12+ / macOS 10.13+.

Installation

** Note **: Versions 1.3.2 and below are deprecated due to changes to the UserConfig model that support new properties from the retrieved config.

CocoaPods

The SDK can be installed into your iOS project by adding the following to your cocoapod spec:

pod 'DevCycle'

Then, run pod install.

Carthage

Include the following in your Cartfile to integrate DevCycle as a dependency to your project:

github "DevCycleHQ/ios-client-sdk"

Then, run carthage update --use-xcframeworks. Drag the built .xcframework bundles from Carthage/Build into the "Frameworks and Libraries" section of your application’s Xcode project.

Swift Package Manager

To use the library with Swift Package Manager, include it as a dependency in your Package.swift file like so:

...
    dependencies: [
        .package(url: "https://github.com/DevCycleHQ/ios-client-sdk.git", .upToNextMinor("1.6.0")),
    ],
    targets: [
        .target(
            name: "YOUR_TARGET",
            dependencies: ["DevCycle"]
        )
    ],
...

You can also add it through Xcode, i.e. File > Swift Packages > Add Package Dependency, then enter the repository clone URL.

Usage

To find usage documentation, check out our docs.

Description

  • Swift Tools 5.2.0
View More Packages from this Author

Dependencies

Last updated: Mon Jan 30 2023 21:47:13 GMT-0500 (GMT-05:00)